Bug 1547091 - rhel-registration broken with: Failed to validate: resources.NodeExtraConfig: "conditions" is not a valid keyword inside a resource definition'
Summary: rhel-registration broken with: Failed to validate: resources.NodeExtraConfig:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z8
: 10.0 (Newton)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1547089
Blocks: 1571864
TreeView+ depends on / blocked
 
Reported: 2018-02-20 13:44 UTC by James Slagle
Modified: 2018-05-17 15:42 UTC (History)
18 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.3.8-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1547089
Environment:
Last Closed: 2018-05-17 15:40:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42:06 UTC

Description James Slagle 2018-02-20 13:44:27 UTC
+++ This bug was initially created as a clone of Bug #1547089 +++

When 
https://review.openstack.org/#/q/Id84d156cd28413309981d5943242292a3a6fa807

was backported to ocata and newton, it broke RHEL registration on those branches, and fails with: 
=== ERROR: Failed to validate: Failed to validate: resources[0]: Failed to validate: resources.NodeExtraConfig: "conditions" is not a valid keyword inside a resource definition'
===

https://review.openstack.org/#/q/I14d5c72cf86423808e81f1d8406098d5fd635e66

also needs to be backported to resolve the issue.

Comment 8 Emilien Macchi 2018-04-03 15:31:40 UTC
The template version has to be modified, because we're using "conditions", which is a new feature in recent versions of Heat.

I'll provide a fix today.

Comment 36 Artem Hrechanychenko 2018-04-20 16:14:27 UTC
VERIFIRED

openstack-tripleo-heat-templates-5.3.10-1.el7ost.noarch
puddle - z8

http://download-node-02.eng.bos.redhat.com/rcm-guest/puddles/OpenStack/10.0-RHEL-7/z8/

[stack@undercloud-0 ~]$ cat virt/overcloud_cdn.yaml 
parameter_defaults:
    rhel_reg_activation_key: ''
    rhel_reg_auto_attach: ''
    rhel_reg_base_url: https://cdn.redhat.com
    rhel_reg_environment: ''
    rhel_reg_force: 'true'
    rhel_reg_http_proxy_host: ''
    rhel_reg_http_proxy_password: ''
    rhel_reg_http_proxy_port: ''
    rhel_reg_http_proxy_username: ''
    rhel_reg_machine_name: ''
    rhel_reg_method: portal
    rhel_reg_org: ''
    rhel_reg_password: qum10net
    rhel_reg_pool_id: ''
    rhel_reg_release: ''
    rhel_reg_repos: rhel-7-server-rpms rhel-7-server-extras-rpms rhel-7-server-rh-common-rpms
        rhel-ha-for-rhel-7-server-rpms rhel-7-server-openstack-10-rpms
    rhel_reg_sat_repo: ''
    rhel_reg_sat_url: ''
    rhel_reg_server_url: subscription.rhsm.stage.redhat.com
    rhel_reg_service_level: ''
    rhel_reg_type: ''
    rhel_reg_user: rhos_ci_new
[stack@undercloud-0 ~]$ cat overcloud_deploy.sh 
#!/bin/bash

openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
--control-scale 1 \
--control-flavor controller \
--compute-scale 1 \
--compute-flavor compute \
--environment-file /usr/share/openstack-tripleo-heat-templates/extraconfig/pre_deploy/rhel-registration/rhel-registration-resource-registry.yaml \
--environment-file /usr/share/openstack-tripleo-heat-templates/extraconfig/pre_deploy/rhel-registration/environment-rhel-registration.yaml \
--ceph-storage-scale 1 \
--ceph-storage-flavor ceph \
-e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml \
-e /home/stack/virt/internal.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/enable-tls.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/public_vip.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/tls-endpoints-public-ip.yaml \
-e /home/stack/virt/hostnames.yml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/overcloud_cdn.yaml \
--log-file overcloud_deployment_29.log


[stack@undercloud-0 ~]$ heat stack-list
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:303: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
WARNING (shell) "heat stack-list" is deprecated, please use "openstack stack list" instead
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:303: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
+--------------------------------------+------------+-----------------+----------------------+--------------+
| id                                   | stack_name | stack_status    | creation_time        | updated_time |
+--------------------------------------+------------+-----------------+----------------------+--------------+
| 935a25bb-a9b5-48db-ac01-b5b132afa1e0 | overcloud  | CREATE_COMPLETE | 2018-04-20T15:31:42Z | None         |
+--------------------------------------+------------+-----------------+----------------------+--------------+

Comment 39 errata-xmlrpc 2018-05-17 15:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.